Retrieve all SKUs
Retrieve all SKUs (Stock Keeping Units) for a Site.
SKUs represent unique hardware configurations discovered at sites. They are automatically derived from machine characteristics.
A siteId query parameter is required for all requests.
For Infrastructure Providers: Org must have an Infrastructure Provider entity and own the Site that the Machine belongs to. User must have authorization role with PROVIDER_ADMIN suffix.
For Tenants: Org must have a Tenant with TargetedInstanceCreation capability enabled and Tenant Account with Machine’s Provider. User must have authorization role with TENANT_ADMIN suffix.
Authentication
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
Query parameters
Response headers
Response
Human-readable SKU description
Optional device type identifier (e.g. “gpu”, “cpu”, “storage”)
ISO 8601 datetime when the SKU was created, using the Site-reported timestamp when available